058f:9360 8GB MicroSD card not recognized in Alcor Micro Corp. 8-in-1 Media Card Reader

Bug #1069289 reported by Book 'em Dano on 2012-10-21
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

When I insert a 8GB MicroSD into my integrated Alcor Micro Corp. 8-in-1 Media Card Reader using Oneiric it is not recognized. However,the same MicroSD card works in a different laptops card reader.

As well, in 10.04.4 through 11.10, when I insert a 2GB SD card it is recognized, automatically mounted, and a window opens to display what files are on the card.

linux-image-3.0.0-24-generic
linux-image-3.0.0-25-generic
linux-image-3.0.0-26-generic
linux-image-3.0.43-030043-generic
linux-image-3.7.0-999-generic

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-3.0.0-26-generic 3.0.0-26.43
ProcVersionSignature: Ubuntu 3.0.0-26.43-generic 3.0.43
Uname: Linux 3.0.0-26-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu4
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: dano-mano 1941 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'ICH5'/'Intel ICH5 with ALC650F at irq 17'
   Mixer name : 'Realtek ALC650F'
   Components : 'AC97a:414c4723'
   Controls : 50
   Simple ctrls : 33
CheckboxSubmission: d1d0d890d7d0c02d220494c450923be5
CheckboxSystem: edda5d4f616ca792bf437989cb597002
Date: Sat Oct 20 18:06:57 2012
HibernationDevice: RESUME=UUID=30c3d947-9a40-4ee4-ad20-9b888132a707
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111011)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: HP Pavilion 061 DT068A-ABA M495C
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.0.0-26-generic root=UUID=88ecbf58-14dc-403e-a906-c0472828fe5b ro usb-storage.delay_use=5
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-26-generic N/A
 linux-backports-modules-3.0.0-26-generic N/A
 linux-firmware 1.60.1
RfKill:

SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/27/2004
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 3.28
dmi.board.name: Oxford
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr3.28:bd08/27/2004:svnHPPavilion061:pnDT068A-ABAM495C:pvr0qr1114RE101OXFOR10:rvnASUSTeKComputerINC.:rnOxford:rvr1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: DT068A-ABA M495C
dmi.product.version: 0qr1114RE101OXFOR10
dmi.sys.vendor: HP Pavilion 061

Book 'em Dano (heymrdjd) wrote :
Brad Figg (brad-figg) on 2012-10-21
Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: needs-upstream-testing

Book 'em Dano, thank you for reporting this and helping make Ubuntu better. Regarding your Bug Description:
>"In the past whenever I inserted a SD card..."

Could you please be more specific? For example, which release, which kernel, etc.

>"linux-image-3.7.0-999-generic"

Did you install this from http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc2-quantal/ or http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc1-quantal/ , somewhere else?

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Book 'em Dano (heymrdjd) wrote :

I do no recall precisely in which kernel version the recognition of the SD was successful. I think it was probably linux-image-3.0.0-21-generic or linux-image-3.0.0-22-generic for oneiric. I have uninstalled those two versions and currently have version 24 - 26-generic installed. Pertaining to the mainline kernel I tested, I retrieved the 3.7 image from http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/current/ and linux-image-3.0.43-030043-generic was retrieved from here, http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.0.43-oneiric/.

When I inserted a flash drive via the USB port, it is recognized and opens a windows displaying the contents of the drive.

Book 'em Dano (heymrdjd) wrote :

Here is the log of dmesg displaying recognition of drive via USB and the non-recognition or non-mounting of the SD card

Changed in linux (Ubuntu):
status: Incomplete → New
Brad Figg (brad-figg) on 2012-10-29
Changed in linux (Ubuntu):
status: New → Confirmed

Book 'em Dano, thank you for your comments. Regarding them https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1069289/comments/3 :
>"When I inserted a flash drive via the USB port, it is recognized and opens a windows displaying the contents of the drive."

What kernel specifically did this work in?

As well, could you please test the latest upstream kernel available (v3.7-rc2-raring) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.7-rc2-raring

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Please let us know your results. Thank you for your understanding.

Helpful bug reporting tips:
https://help.ubuntu.com/community/ReportingBugs

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Book 'em Dano (heymrdjd) wrote :

I installed http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc2-raring/linux-image-3.7.0-030700rc2-generic_3.7.0-030700rc2.201210220428_i386.deb and the other pertinent files and the SD card is still not recognized when inserted. The following is listed in dmesg:

[ 4358.164037] usb 5-2: reset full-speed USB device number 3 using uhci_hcd
[ 4358.317629] sd 4:0:0:0: Device offlined - not ready after error recovery

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-3.7.0-030700rc2
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → New
Brad Figg (brad-figg) on 2012-10-30
Changed in linux (Ubuntu):
status: New → Confirmed

Book 'em Dano, thank you for testing the mainline kernel. For regression testing purposes, could you please test for this in a Lucid live environment via http://releases.ubuntu.com/lucid/ ?

tags: added: kernel-bug-exists-upstream-v3.7-rc2-raring
removed: kernel-bug-exists-upstream-3.7.0-030700rc2
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Book 'em Dano (heymrdjd) wrote :

I booted an Ubuntu 10.04.4 LiveCD and inserted a 2GB SD card and it was recognized and opened a windows displaying the card's contents. Then I inserted a 8GB MicroSD with an adapter and it was not recognized and yielded the same results as before.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Book 'em Dano (heymrdjd) wrote :
Book 'em Dano (heymrdjd) wrote :

I booted up with Oneiric and inserted the 2GB SD card. It was recognized, but again when I inserted the 8GB SD card it was not recognized.

tags: added: regression-release
description: updated
summary: - SD card not recognized
+ 8GB MicroSD card not recognized
tags: added: lucid
removed: regression-release

Book 'em Dano, thank you for testing Lucid. Could you please plug your USB card reader in, unplug all other USB devices, execute the following command and post the results to this report:
lsusb -v

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-media
Book 'em Dano (heymrdjd) wrote :

Here is the dmesg log when inserting a 2GB SD card and a 8 GB SD card

Book 'em Dano (heymrdjd) wrote :

Here is the lsusb -v output while running lucid

Book 'em Dano (heymrdjd) wrote :

Here is the dmesg log when inserting a 2GB & 8 GB SD cards in a newer laptop where both SD cards are recognized while running lucid.

Book 'em Dano (heymrdjd) wrote :

Here is the lsusb -v output from newer laptop that recognized 2GB & 8 GB SD cards while running lucid

Book 'em Dano (heymrdjd) wrote :

Here is the dmesg log on a newer laptop running quantal and both a 2GB and 8 GB SD card are recognized.

Book 'em Dano (heymrdjd) wrote :

here is the lsusb -v output on newer laptop running quantal

Book 'em Dano (heymrdjd) wrote :

When inserted an 2GB and 8 GB SD card into a newer laptop, both card were recognized. This leads me to believe that there is a specific hardware issue on the original pc where I experienced the 8GB SD not being recognized. I also noticed that if I insert the 8 GB SD card first and then insert the 2 GB SD, that neither card will be recognized, because the SD card reader is brought offline after pc attempts to recognize the 8 GB SD.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Book 'em Dano, thank you for attaching the requested information. Regarding your newer laptop, were you using the same USB card reader as originally reported or one integrated into the laptop?

summary: - 8GB MicroSD card not recognized
+ 058f:9360 8GB MicroSD card not recognized in USB Alcor Micro Corp.
+ 8-in-1 Media Card Reader
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Book 'em Dano (heymrdjd) wrote :

I am using integrated SD card readers in both the original pc that I posted from and the newer laptop. Both readers are obviously separate and perhaps made from different manufacturers. I tested with the newer laptop to see if there was a physical issue with the 8GB MicroSD.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Book 'em Dano, thank you for providing the requested information and testing for hardware failure. Could you please test http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc3-raring/ ?

description: updated
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Book 'em Dano (heymrdjd) wrote :

I installed kernel version 3.7-rc3-raring and the other pertinent files and inserted the 8GB MicroSD card and it yielded the same results, not recognized; dmesg logs:

 usb 5-2: reset full speed USB device number 3 using uhci_hcd
 sd 5:0:0:0: Device offlined - not ready after error recovery

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream-v3.7-rc3-raring
removed: kernel-bug-exists-upstream-v3.7-rc2-raring

Book 'em Dano, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel#KernelTeam.2BAC8-KernelTeamBugPolicies.Overview_on_Reporting_Bugs_Upstream ?

Thank you for your understanding.

Marking Triaged as newest mainline tested and regression tested back to Lucid.

Changed in linux (Ubuntu):
status: Confirmed → Triaged
summary: - 058f:9360 8GB MicroSD card not recognized in USB Alcor Micro Corp.
- 8-in-1 Media Card Reader
+ 058f:9360 8GB MicroSD card not recognized in Alcor Micro Corp. 8-in-1
+ Media Card Reader
description: updated
Book 'em Dano (heymrdjd) wrote :

Would this bug be consider a USB bug?

Book 'em Dano (heymrdjd) wrote :
  • dmesg.log Edit (7.9 KiB, application/octet-stream; name="dmesg.log")
Download full text (18.7 KiB)

Bug Short Description: 058f:9360 8GB MicroSD card not recognized in Alcor
Micro Corp. 8-in-1 Media Card Reader

When I insert a 8GB MicroSD into my integrated Alcor Micro Corp. 8-in-1
Media Card Reader using Oneiric it is not recognized. However, the same
MicroSD card works in a different laptop's card reader.

As well, in 10.04.4 through 11.10, when I insert a 2GB SD card it is
recognized, automatically mounted, and a window opens to display what files
are on the card.
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1069289

Linux version 3.7.0-030700rc4-generic (apw@gomeisa) (gcc version 4.6.3
(Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201211041435 SMP Sun Nov 4 19:43:27 UTC
2012

Description: Ubuntu 11.10
Release: 11.10

Linux casino 3.7.0-030700rc4-generic #201211041435 SMP Sun Nov 4 19:43:27
UTC 2012 i686 i686 i386 GNU/Linux

Gnu C 4.6.1
Gnu make 3.81
binutils 2.21.53.20110810
util-linux 2.19.1
mount support
module-init-tools 3.16
e2fsprogs 1.41.14
pcmciautils 015
Linux C Library 2.13
Dynamic linker (ldd) 2.13
Procps 3.2.8
Net-tools 1.60
Kbd 1.15.2
Sh-utils 8.5
wireless-tools 30
Modules Loaded nls_iso8859_1 binfmt_misc snd_intel8x0
snd_ac97_codec joydev hid_generic radeon ac97_bus snd_pcm snd_seq_midi
ppdev snd_rawmidi ttm snd_seq_midi_event drm_kms_helper snd_seq drm
snd_timer i2c_algo_bit snd_seq_device snd psmouse soundcore microcode
lpc_ich snd_page_alloc shpchp serio_raw mac_hid parport_pc lp parport
usbhid hid usb_storage uas 8139too firewire_ohci 8139cp firewire_core
crc_itu_t

processor : 0
vendor_id : GenuineIntel
cpu family : 15
model : 2
model name : Intel(R) Pentium(R) 4 CPU 3.20GHz
stepping : 9
microcode : 0x21
cpu MHz : 3200.317
cache size : 512 KB
physical id : 0
siblings : 1
core id : 0
cpu cores : 1
apicid : 0
initial apicid : 0
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe pebs bts cid
xtpr
bogomips : 6400.63
clflush size : 64
cache_alignment : 128
address sizes : 36 bits physical, 32 bits virtual
power management:

processor : 1
vendor_id : GenuineIntel
cpu family : 15
model : 2
model name : Intel(R) Pentium(R) 4 CPU 3.20GHz
stepping : 9
microcode : 0x21
cpu MHz : 3200.317
cache size : 512 KB
physical id : 0
siblings : 1
core id : 0
cpu cores : 0
apicid : 1
initial apicid : 1
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe pebs bts cid
xtpr
bogomips : 6400.58
clflush size : 64
cache_alignment : 128
address sizes : 36 bits phys...

Book 'em Dano (heymrdjd) wrote :
Download full text (26.9 KiB)

Bug Short Description: 058f:9360 8GB MicroSD card not recognized in
Alcor Micro Corp. 8-in-1 Media Card Reader

When I insert a 8GB MicroSD into my integrated Alcor Micro Corp.
8-in-1 Media Card Reader using Oneiric it is not recognized. However,
the same MicroSD card works in a different laptop's card reader.

As well, in 10.04.4 through 11.10, when I insert a 2GB SD card it is
recognized, automatically mounted, and a window opens to display what
files are on the card.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1069289

Linux version 3.7.0-030700rc4-generic (apw@gomeisa) (gcc version 4.6.3
(Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201211041435 SMP Sun Nov 4 19:43:27
UTC 2012

Description: Ubuntu 11.10
Release: 11.10

Linux casino 3.7.0-030700rc4-generic #201211041435 SMP Sun Nov 4
19:43:27 UTC 2012 i686 i686 i386 GNU/Linux

Gnu C 4.6.1
Gnu make 3.81
binutils 2.21.53.20110810
util-linux 2.19.1
mount support
module-init-tools 3.16
e2fsprogs 1.41.14
pcmciautils 015
Linux C Library 2.13
Dynamic linker (ldd) 2.13
Procps 3.2.8
Net-tools 1.60
Kbd 1.15.2
Sh-utils 8.5
wireless-tools 30
Modules Loaded nls_iso8859_1 binfmt_misc snd_intel8x0 snd_ac97_codec
joydev hid_generic radeon ac97_bus snd_pcm snd_seq_midi ppdev snd_rawmidi
ttm snd_seq_midi_event drm_kms_helper snd_seq drm snd_timer i2c_algo_bit
snd_seq_device snd psmouse soundcore microcode lpc_ich snd_page_alloc shpchp
serio_raw mac_hid parport_pc lp parport usbhid hid usb_storage uas 8139too
firewire_ohci 8139cp firewire_core crc_itu_t

processor : 0
vendor_id : GenuineIntel
cpu family : 15
model : 2
model name : Intel(R) Pentium(R) 4 CPU 3.20GHz
stepping : 9
microcode : 0x21
cpu MHz : 3200.317
cache size : 512 KB
physical id : 0
siblings : 1
core id : 0
cpu cores : 1
apicid : 0
initial apicid : 0
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe pebs bts cid xtpr
bogomips : 6400.63
clflush size : 64
cache_alignment : 128
address sizes : 36 bits physical, 32 bits virtual
power management:

processor : 1
vendor_id : GenuineIntel
cpu family : 15
model : 2
model name : Intel(R) Pentium(R) 4 CPU 3.20GHz
stepping : 9
microcode : 0x21
cpu MHz : 3200.317
cache size : 512 KB
physical id : 0
siblings : 1
core id : 0
cpu cores : 0
apicid : 1
initial apicid : 1
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe pebs bts cid xtpr
bogomips : 6400.58
clflush size : 64
cache_alignment : 128
address sizes : 36 bits phy...

Book 'em Dano (heymrdjd) wrote :

I had to resend the email to <email address hidden> and this bug report because it was rejected by <email address hidden>.

Book 'em Dano (heymrdjd) on 2012-11-04
tags: added: kernel-bug-exists-upstream-v3.7-rc4-raring
removed: kernel-bug-exists-upstream-v3.7-rc3-raring

Book 'em Dano, as you noted the card reader is integrated, even though it is not a USB card reader and yet populated in lsusb, as per http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blob;f=MAINTAINERS you may want to send it to:
MULTIMEDIA CARD (MMC), SECURE DIGITAL (SD) AND SDIO SUBSYSTEM
<email address hidden>

Alan Stern (stern) wrote :

On Sun, 4 Nov 2012, Dan 'Da Man' wrote:

> Bug Short Description: 058f:9360 8GB MicroSD card not recognized in
> Alcor Micro Corp. 8-in-1 Media Card Reader
>
> When I insert a 8GB MicroSD into my integrated Alcor Micro Corp.
> 8-in-1 Media Card Reader using Oneiric it is not recognized. However,
> the same MicroSD card works in a different laptop's card reader.
>
> As well, in 10.04.4 through 11.10, when I insert a 2GB SD card it is
> recognized, automatically mounted, and a window opens to display what
> files are on the card.

It's possible that the old 8-in-1 media card reader can't handle
high-capacity SD cards. It works okay with the low capacity 2-GB card
but not the 8-GB SDHC card.

However it wouldn't hurt to get more information. You should post a
usbmon trace showing what happens when the 8-GB card is inserted.

Alan Stern

Book 'em Dano, regarding Alan Stern's request to capture a usbmon trace, could you please boot into the newest mainline kernel, and gather a USB trace for a more in depth analysis following http://www.kernel.org/doc/Documentation/usb/usbmon.txt ?

Thank you for your understanding.

Book 'em Dano (heymrdjd) wrote :
Download full text (26.9 KiB)

Bug Short Description: 058f:9360 8GB MicroSD card not recognized in
Alcor Micro Corp. 8-in-1 Media Card Reader

When I insert a 8GB MicroSD into my integrated Alcor Micro Corp.
8-in-1 Media Card Reader using Oneiric it is not recognized. However,
the same MicroSD card works in a different laptop's card reader.

As well, in 10.04.4 through 11.10, when I insert a 2GB SD card it is
recognized, automatically mounted, and a window opens to display what
files are on the card.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1069289

Linux version 3.7.0-030700rc4-generic (apw@gomeisa) (gcc version 4.6.3
(Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201211041435 SMP Sun Nov 4 19:43:27
UTC 2012

Description: Ubuntu 11.10
Release: 11.10

Linux casino 3.7.0-030700rc4-generic #201211041435 SMP Sun Nov 4
19:43:27 UTC 2012 i686 i686 i386 GNU/Linux

Gnu C 4.6.1
Gnu make 3.81
binutils 2.21.53.20110810
util-linux 2.19.1
mount support
module-init-tools 3.16
e2fsprogs 1.41.14
pcmciautils 015
Linux C Library 2.13
Dynamic linker (ldd) 2.13
Procps 3.2.8
Net-tools 1.60
Kbd 1.15.2
Sh-utils 8.5
wireless-tools 30
Modules Loaded nls_iso8859_1 binfmt_misc snd_intel8x0 snd_ac97_codec
joydev hid_generic radeon ac97_bus snd_pcm snd_seq_midi ppdev snd_rawmidi
ttm snd_seq_midi_event drm_kms_helper snd_seq drm snd_timer i2c_algo_bit
snd_seq_device snd psmouse soundcore microcode lpc_ich snd_page_alloc shpchp
serio_raw mac_hid parport_pc lp parport usbhid hid usb_storage uas 8139too
firewire_ohci 8139cp firewire_core crc_itu_t

processor : 0
vendor_id : GenuineIntel
cpu family : 15
model : 2
model name : Intel(R) Pentium(R) 4 CPU 3.20GHz
stepping : 9
microcode : 0x21
cpu MHz : 3200.317
cache size : 512 KB
physical id : 0
siblings : 1
core id : 0
cpu cores : 1
apicid : 0
initial apicid : 0
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe pebs bts cid xtpr
bogomips : 6400.63
clflush size : 64
cache_alignment : 128
address sizes : 36 bits physical, 32 bits virtual
power management:

processor : 1
vendor_id : GenuineIntel
cpu family : 15
model : 2
model name : Intel(R) Pentium(R) 4 CPU 3.20GHz
stepping : 9
microcode : 0x21
cpu MHz : 3200.317
cache size : 512 KB
physical id : 0
siblings : 1
core id : 0
cpu cores : 0
apicid : 1
initial apicid : 1
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe pebs bts cid xtpr
bogomips : 6400.58
clflush size : 64
cache_alignment : 128
address sizes : 36 bits phy...

Yura (ykuchinskiy) wrote :
Download full text (5.9 KiB)

I have USB card reader 6-in-1 based on Alcor Micro AU9360A22 chipset , and facing the same problem. Should I create a new bug report or use this one (since it is stil open)?

$ lsusb
Bus 003 Device 119: ID 058f:9360 Alcor Micro Corp. 8-in-1 Media Card Reader

Ubuntu 14.04
Linux 3.13.0-43-generic #72-Ubuntu SMP Mon Dec 8 19:35:06 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Problem:
  1GB SD card works
  4GB SD card does NOT work
32GB SD card does NOT work

So simptomps are the same, when I inser the 4GB or 32GB cards, the card reader stops working. I have to re-plug the card reader to resolve the problem.

Here are some messages from /var/log/syslog:
 (1) when I insert card reader into USB port

Jan 3 17:45:02 yku-helix kernel: [59505.131128] usb 3-2.1: new full-speed USB device number 121 using xhci_hcd
Jan 3 17:45:02 yku-helix kernel: [59505.152178] usb 3-2.1: New USB device found, idVendor=058f, idProduct=9360
Jan 3 17:45:02 yku-helix kernel: [59505.152189] usb 3-2.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jan 3 17:45:02 yku-helix kernel: [59505.152194] usb 3-2.1: Product: Mass Storage Device
Jan 3 17:45:02 yku-helix kernel: [59505.152199] usb 3-2.1: Manufacturer: Alcor Micro
Jan 3 17:45:02 yku-helix kernel: [59505.152203] usb 3-2.1: SerialNumber: 9112181
Jan 3 17:45:02 yku-helix kernel: [59505.153136] usb-storage 3-2.1:1.0: USB Mass Storage device detected
Jan 3 17:45:02 yku-helix kernel: [59505.153390] scsi16 : usb-storage 3-2.1:1.0
Jan 3 17:45:02 yku-helix mtp-probe: checking bus 3, device 121: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-2/3-2.1"
Jan 3 17:45:02 yku-helix mtp-probe: bus: 3, device: 121 was not an MTP device
Jan 3 17:45:03 yku-helix kernel: [59506.153255] scsi 16:0:0:0: Direct-Access Generic USB SD Reader 1.00 PQ: 0 ANSI: 0
Jan 3 17:45:03 yku-helix kernel: [59506.154293] scsi 16:0:0:1: Direct-Access Generic USB CF Reader 1.01 PQ: 0 ANSI: 0
Jan 3 17:45:03 yku-helix kernel: [59506.155255] scsi 16:0:0:2: Direct-Access Generic USB SM Reader 1.02 PQ: 0 ANSI: 0
Jan 3 17:45:03 yku-helix kernel: [59506.156219] scsi 16:0:0:3: Direct-Access Generic USB MS Reader 1.03 PQ: 0 ANSI: 0
Jan 3 17:45:03 yku-helix kernel: [59506.156746] sd 16:0:0:0: Attached scsi generic sg1 type 0
Jan 3 17:45:03 yku-helix kernel: [59506.157132] sd 16:0:0:1: Attached scsi generic sg2 type 0
Jan 3 17:45:03 yku-helix kernel: [59506.157473] sd 16:0:0:2: Attached scsi generic sg3 type 0
Jan 3 17:45:03 yku-helix kernel: [59506.157795] sd 16:0:0:3: Attached scsi generic sg4 type 0
Jan 3 17:45:04 yku-helix kernel: [59506.490191] sd 16:0:0:0: [sdb] Attached SCSI removable disk
Jan 3 17:45:04 yku-helix kernel: [59506.493851] sd 16:0:0:1: [sdc] Attached SCSI removable disk
Jan 3 17:45:04 yku-helix kernel: [59506.495283] sd 16:0:0:2: [sdd] Attached SCSI removable disk
Jan 3 17:45:04 yku-helix kernel: [59506.496256] sd 16:0:0:3: [sde] Attached SCSI removable disk

 (2) when I insert 1GB SD card

Jan 3 17:47:34 yku-helix kernel: [59656.710849] sd 16:0:0:0: [sdb] 1984000 512-byte logical blocks: (1.01 GB/968 MiB)
Jan 3 17:47:34 yku-helix kernel: [59656.713034] sd 16:0:0:0: [sdb] No Caching mode page ...

Read more...

To post a comment you must log in.